# wingstructure - an open source python tool assisting with certification of sailplane wings

![lift distribution](examples/Liftdistribution.png)

[![PyPI version](https://badge.fury.io/py/wingstructure.svg)](https://badge.fury.io/py/wingstructure) [![Documentation Status](https://readthedocs.org/projects/wingstructure/badge/?version=latest)](https://wingstructure.readthedocs.io/en/latest/?badge=latest) [![Build Status](https://travis-ci.com/akafliegdarmstadt/wingstructure.svg?branch=master)](https://travis-ci.com/akafliegdarmstadt/wingstructure) [![Coverage Status](https://coveralls.io/repos/github/akafliegdarmstadt/wingstructure/badge.svg?branch=master)](https://coveralls.io/github/akafliegdarmstadt/wingstructure?branch=coveralls) [![Codacy Badge](https://api.codacy.com/project/badge/Grade/1d3c65877733486cace59b0ffe890407)](https://www.codacy.com/app/helo9/wingstructure?utm_source=github.com&amp;utm_medium=referral&amp;utm_content=helo9/wingstructure&amp;utm_campaign=Badge_Grade)

## Installation
pip can be used to install the package:
```sh
pip install wingstructure
```

## Usage

wingstructure has three primary functions:

<table>
 <tr>
  <td>Object oriented representation of wing geometry</td>
  <td>Lift and moment calculation based on multhopp quadrature</td>
  <td>Mass estimation for wing sections</td>
 </tr>
 <tr>
  <td><img src="examples/wing.png"> </td>
  <td><img src="examples/Liftdistribution.png"></td>
  <td><img src="examples/section.svg"></td>
 </tr>
 <tr>
 </tr>
</table>

Those are briefly presented in the [Getting Started Guide](https://wingstructure.readthedocs.io/en/latest/usage/quickstart.html).

